#1632 closed defect (duplicate)

Error connection for ubuntu 18.04 LT

Reported by: fatennasuhadaim@… Owned by:
Priority: normal Milestone:
Component: sge Version: 8.1.9
Severity: minor Keywords:
Cc:

Description

Dear sge team,

This is my first time installing SGE in my ubuntu. I having problem
connection between my sge master and sge client/exec. When using ubuntu
16.04 LTS, connection works well (i can qhost and qsub). But when i upgrade
my ubuntu to 18.04 (latest version), i use qhost both client and master
error appear as below:

user@sgeclient31:~$ qhost
error: commlib error: got select error (Connection refused)
error: unable to send message to qmaster using port 6444 on host
"sgemaster": got send error

user@sgemaster:~$ qhost
error: commlib error: got select error (Connection refused)
error: unable to send message to qmaster using port 6444 on host
"sgemaster": got send error

My /etc/hosts (as below) is the same when using ubuntu 16.04 LTS
127.0.0.1 localhost
10.89.60.188 sgemaster
10.89.60.185 sgeclient31

I hope you can suggest or guide how to overcome this error? I want to use
SGE for my bioinformatics work.

Thank you.

Regards,
Faten Nasuha M.N.Daim

Change History (5)

comment:1 Changed 12 months ago by Marco

Different versions are not compatible with each other.
Always use the same version on the client as on the master.

Which version do you use on the master ?
Which version do you use on the client ?

comment:2 Changed 12 months ago by fatennasuhadaim@…

Dear Marco,

Thank you for replying. Currently for master and client i'm using Ubuntu
18.04 LTS and SGE 8.1.9.

Is there any manual i can refer to? i follow this website
https://jon.dehdari.org/tutorials/sge_install.html as reference.

Thank you.

Regards,
Faten Nasuha M.N.Daim

On Sun, Oct 21, 2018 at 12:08 AM SGE <sge-bugs@…> wrote:

#1632: Error connection for ubuntu 18.04 LT


Reporter: fatennasuhadaim@… | Owner:

Type: defect | Status: new

Priority: normal | Milestone:

Component: sge | Version: 8.1.9

Severity: minor | Resolution:
Keywords: |


Comment (by Marco):

Different versions are not compatible with each other.
Always use the same version on the client as on the master.

Which version do you use on the master ?
Which version do you use on the client ?

--
Ticket URL: <https://arc.liv.ac.uk/trac/SGE/ticket/1632#comment:1>
SGE <https://arc.liv.ac.uk/trac/SGE>
Son of Grid Engine: Community continuation of work on Grid Engine

comment:3 Changed 12 months ago by Marco

I guess you installed correct.

Do you use any security mechanism as described on this page?

http://arc.liv.ac.uk/SGE/howto/sge-security.html

I am not sure, if the ubuntu package includes my patch from ticket #1619

Without this patch or without activated security, I had the same problem.

As a conclusion: if you do not use security, this bug is a duplicate of #1619.

comment:4 Changed 12 months ago by fatennasuhadaim@…

Dear Marco,

I didn't use any security mechanism based on the page you suggested.

I will try again and see if it will work. Thank you for your help.

Regards,
Faten Nasuha M.N.Daim

On Tue, Oct 23, 2018 at 3:24 PM SGE <sge-bugs@…> wrote:

#1632: Error connection for ubuntu 18.04 LT


Reporter: fatennasuhadaim@… | Owner:

Type: defect | Status: new

Priority: normal | Milestone:

Component: sge | Version: 8.1.9

Severity: minor | Resolution:
Keywords: |


Comment (by Marco):

I guess you installed correct.

Do you use any security mechanism as described on this page?

http://arc.liv.ac.uk/SGE/howto/sge-security.html

I am not sure, if the ubuntu package includes my patch from ticket #1619

Without this patch or without activated security, I had the same problem.

As a conclusion: if you do not use security, this bug is a duplicate of
#1619.

--
Ticket URL: <https://arc.liv.ac.uk/trac/SGE/ticket/1632#comment:3>
SGE <https://arc.liv.ac.uk/trac/SGE>
Son of Grid Engine: Community continuation of work on Grid Engine

comment:5 Changed 12 months ago by Marco

  • Resolution set to duplicate
  • Status changed from new to closed

Duplicate of #1619

Note: See TracTickets for help on using tickets.